;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:closeps
;
; PURPOSE:ferme de l'environement Postscript
;
; CALLING SEQUENCE:closeps
;
; KEYWORD PARAMETERS:
;         INFOWIDGET: un long integer qui doit etre l''id du windget
;         que l''on souhaite detruire (cf. openps.pro)
;
; COMMON BLOCKS:
;	common.pro
;
; SIDE EFFECTS: qd sauveps (variable globale) ne 0 les postscript est
; annopte par un numero qd il s''appelle idl.ps sinon par son nom. le
; nom est suivit de la date.
;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       21/12/98
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
pro closeps, INFOWIDGET = infowidget
@common
;------------------------------------------------------------
; si sauve ps different de 0 on sauve le ps sur maia automatiquement
; ou apres une question.
;------------------------------------------------------------
   if sauveps NE 0 then begin
;------------------------------------------------------------
; on recupere le nom du fichier postscript qui vient d''etre cree
; si ce nom est idl.ps on numerote le postscript avec le numero
; contenu dans derniernumps.dat
;------------------------------------------------------------
      spawn,'which "ls"' , ls
      spawn,ls[0]+' -t '+psdir+'*ps' , nomps
      nomps = nomps[0]
      nomps = strmid(nomps,rstrpos(nomps,'/')+1)
      if nomps EQ 'idl.ps' then begin
; on recupere le numero du dernier fichier sauvegarde
; rq: ce numero est incremente uniquement qd on fait une impression
         restore,'derniernumps.dat'
         nomps = strtrim(numfichps, 1)
      endif
;------------------------------------------------------------
; on annote le postscript
;------------------------------------------------------------
      date = byte(systime(0))   ; on crecupere la date
      xyouts, !d.x_px_cm,!d.y_px_cm $
       ,nomps+') '+string(date[4:10])+string(date[20:23]), /device, charsize = .75
   endif
;------------------------------------------------------------
   if !d.name EQ 'PS' then device,/close
   thisOS = strupcase(strmid(!version.os_family, 0, 3))
   CASE thisOS of
      'MAC': SET_PLOT, thisOS
      'WIN': SET_PLOT, thisOS
      ELSE: SET_PLOT, 'X'
   ENDCASE
   tvlct, rouge, vert,bleu
   !p.font = -1
   !p.BACKGROUND=(!d.n_colors-1) < 255
   !p.color=0
   if !d.n_colors gt 256 then !p.background='ffffff'x
;------------------------------------------------------------
   if keyword_set(infowidget) then $
    widget_control, long(infowidget), bad_id = toto, /destroy
;------------------------------------------------------------
   return
end
